## ros-indigo-rosapi 0.7.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosapi)

find_package(catkin REQUIRED COMPONENTS rospy message_generation)
catkin_python_setup()

add_message_files(
  FILES
  TypeDef.msg
)

add_service_files(
  FILES
  DeleteParam.srv
  GetParam.srv
  GetParamNames.srv
  GetTime.srv
  HasParam.srv
  MessageDetails.srv
  Nodes.srv
  NodeDetails.srv
  Publishers.srv
  SearchParam.srv
  ServiceHost.srv
  ServiceNode.srv
  ServiceProviders.srv
  ServiceRequestDetails.srv
  ServiceResponseDetails.srv
  Services.srv
  ServicesForType.srv
  ServiceType.srv
  SetParam.srv
  Subscribers.srv
  Topics.srv
  TopicsForType.srv
  TopicType.srv
)

generate_messages(
  DEPENDENCIES
)

catkin_package(
  CATKIN_DEPENDS message_runtime
)

install(PROGRAMS scripts/rosapi_node
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-rosapi (0.7.16-0trusty) trusty; urgency=high

  * new srv: topics types and details
  * Contributors: Marco Arruda

 -- Russell Toris <rctoris@wpi.edu>  Sun, 14 Aug 2016 22:00:00 -0000

ros-indigo-rosapi (0.7.15-0trusty) trusty; urgency=high

  * changelog updated
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Sun, 24 Apr 2016 22:00:00 -0000

ros-indigo-rosapi (0.7.14-0trusty) trusty; urgency=high

  * Update proxy.py
    Fixes an issue when call the service "/rosapi/service_type"
  * Contributors: Robert Codd-Downey

 -- Russell Toris <rctoris@wpi.edu>  Wed, 10 Feb 2016 23:00:00 -0000

ros-indigo-rosapi (0.7.13-0trusty) trusty; urgency=high

  * Fix catkin_lint issues
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Thu, 13 Aug 2015 22:00:00 -0000

ros-indigo-rosapi (0.7.12-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 06 Apr 2015 22:00:00 -0000

ros-indigo-rosapi (0.7.11-0trusty) trusty; urgency=high

  * rename rosapi script to rosapi_node to address #170 <https://github.com/RobotWebTools/rosbridge_suite/issues/170>
  * Contributors: Jihoon Lee

 -- Russell Toris <rctoris@wpi.edu>  Sun, 22 Mar 2015 23:00:00 -0000

ros-indigo-rosapi (0.7.10-0trusty) trusty; urgency=high

  * Make get_topics() and get_topic_type() reference the full list of active topics.
  * Contributors: Justin Huang

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Feb 2015 23:00:00 -0000

ros-indigo-rosapi (0.7.9-0trusty) trusty; urgency=high

  * add findding service function as specific service type
  * Contributors: dwlee

 -- Russell Toris <rctoris@wpi.edu>  Mon, 23 Feb 2015 23:00:00 -0000

ros-indigo-rosapi (0.7.8-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 15 Jan 2015 23:00:00 -0000

ros-indigo-rosapi (0.7.7-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 05 Jan 2015 23:00:00 -0000

ros-indigo-rosapi (0.7.6-0trusty) trusty; urgency=high

  * 0.7.5
  * update changelog
  * 0.7.4
  * changelog updated
  * 0.7.3
  * changelog updated
  * 0.7.2
  * changelog updated
  * 0.7.1
  * update changelog
  * 0.7.0
  * changelog updated
  * Contributors: Jihoon Lee, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 25 Dec 2014 23:00:00 -0000

ros-indigo-rosapi (0.7.5-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 25 Dec 2014 23:00:00 -0000

ros-indigo-rosapi (0.7.4-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 15 Dec 2014 23:00:00 -0000

ros-indigo-rosapi (0.7.3-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-rosapi (0.7.2-0trusty) trusty; urgency=high

  * 0.7.1
  * update changelog
  * Contributors: Jihoon Lee

 -- Russell Toris <rctoris@wpi.edu>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-rosapi (0.7.1-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 08 Dec 2014 23:00:00 -0000

ros-indigo-rosapi (0.7.0-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 01 Dec 2014 23:00:00 -0000

ros-indigo-rosapi (0.6.8-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 04 Nov 2014 23:00:00 -0000

ros-indigo-rosapi (0.6.7-0trusty) trusty; urgency=high

  * updated package manifests
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 21 Oct 2014 22:00:00 -0000

ros-indigo-rosapi (0.6.6-0trusty) trusty; urgency=high



 -- Brandon Alexander <baalexander@gmail.com>  Mon, 20 Oct 2014 22:00:00 -0000

ros-indigo-rosapi (0.6.5-0trusty) trusty; urgency=high

  * 0.6.4
  * update changelog
  * 0.6.3
  * update change log
  * Contributors: Jihoon Lee

 -- Brandon Alexander <baalexander@gmail.com>  Mon, 13 Oct 2014 22:00:00 -0000

ros-indigo-rosapi (0.6.4-0trusty) trusty; urgency=high



 -- Brandon Alexander <baalexander@gmail.com>  Tue, 07 Oct 2014 22:00:00 -0000

ros-indigo-rosapi (0.6.3-0trusty) trusty; urgency=high



 -- Brandon Alexander <baalexander@gmail.com>  Mon, 06 Oct 2014 22:00:00 -0000

ros-indigo-rosapi (0.6.2-0trusty) trusty; urgency=high



 -- Brandon Alexander <baalexander@gmail.com>  Sun, 05 Oct 2014 22:00:00 -0000

ros-indigo-rosapi (0.6.1-0trusty) trusty; urgency=high

  * make rosapis use absolute namespace
  * Contributors: Jihoon Lee

 -- Brandon Alexander <baalexander@gmail.com>  Sun, 31 Aug 2014 22:00:00 -0000

ros-indigo-rosapi (0.6.0-0trusty) trusty; urgency=high

  * Ensure proper locking for Parameter Server access
  * Contributors: Lasse Rasinen

 -- Brandon Alexander <baalexander@gmail.com>  Thu, 22 May 2014 22:00:00 -0000

ros-indigo-rosapi (0.5.4-0trusty) trusty; urgency=high

  * add rosnode and rosgraph
  * Contributors: Jihoon Lee

 -- Brandon Alexander <baalexander@gmail.com>  Wed, 16 Apr 2014 22:00:00 -0000

ros-indigo-rosapi (0.5.3-0trusty) trusty; urgency=high



 -- Brandon Alexander <baalexander@gmail.com>  Thu, 27 Mar 2014 23:00:00 -0000

ros-indigo-rosapi (0.5.2-0trusty) trusty; urgency=high



 -- Brandon Alexander <baalexander@gmail.com>  Thu, 13 Mar 2014 23:00:00 -0000

ros-indigo-rosapi (0.5.1-0trusty) trusty; urgency=high



 -- Brandon Alexander <baalexander@gmail.com>  Wed, 30 Oct 2013 23:00:00 -0000

ros-indigo-rosapi (0.5.0-0trusty) trusty; urgency=high

  * 0.5.0 preparation for hydro release
  * Removes trailing commas.
  * removing global bin installation in setup.py
  * Contributors: Brandon Alexander, Jihoon Lee

 -- Brandon Alexander <baalexander@gmail.com>  Tue, 16 Jul 2013 22:00:00 -0000

ros-indigo-rosapi (0.4.4-0trusty) trusty; urgency=high



 -- Brandon Alexander <baalexander@gmail.com>  Sun, 07 Apr 2013 22:00:00 -0000

ros-indigo-rosapi (0.4.3-0trusty) trusty; urgency=high



 -- Brandon Alexander <baalexander@gmail.com>  Wed, 03 Apr 2013 06:24:00 -0000

ros-indigo-rosapi (0.4.2-0trusty) trusty; urgency=high

  * eclipse projects removed
  * Contributors: Russell Toris



=== debian/control ===
Source: ros-indigo-rosapi
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-rospy
Homepage: http://ros.org/wiki/rosapi
Standards-Version: 3.9.2

Package: ros-indigo-rosapi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-message-runtime, ros-indigo-rosbridge-library, ros-indigo-rosgraph, ros-indigo-rosnode, ros-indigo-rospy
Description: Provides service calls for getting ros meta-information, like list of topics, services, params, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rosapi//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
